#!/bin/bash

driverVer=v1.000
driverRaster=rastertoAclasPPX
driverPPD=AclasPPX.ppd

echo ""
echo "---------------------------------------------------------"
echo "        Pinnacle Co LTD"
echo "Aclas Printer PPX CUPS DRIVER "$driverVer" Installer"
echo "---------------------------------------------------------"
echo ""
echo "Models included:"

echo "                PPX"
echo ""

ROOT_UID=0

if [ $UID -ne $ROOT_UID ]
then
    echo "This script requires root user access..."
    echo "Re-run as root user..."
    exit 1
fi

echo "Copying "$driverRaster" filter..."

sudo chmod +x ./$drvierRaster
sudo cp ./$driverRaster /usr/bin/
sudo chmod 0755 /usr/bin/$driverRaster
echo ""

echo "Creating Symbolic Link...."
sudo ln -s --target-directory=/usr/lib/cups/filter/ /usr/bin/$driverRaster
sudo chmod 0755 /usr/lib/cups/filter/$driverRaster
echo ""

echo "Copying model ppd files... "
sudo chmod +x $driverPPD

if [ -x /etc/init.d/cupsys ]
then
	if [ -r /etc/debian_version ]
	then
		if [ -r /etc/lsb-release ]
		then
			if [ -r /usr/share/cups/model ]
			then
				sudo cp ./$driverPPD /usr/share/cups/model/
				sudo chmod 0755 /usr/share/cups/model/$driverPPD
			else
				sudo cp ./$driverPPD /usr/share/ppd/ 
				sudo chmod 0755 /usr/share/ppd/$driverPPD
			fi
		else
			 sudo cp ./$driverPPD /usr/share/ppd/ 
			 sudo chmod 0755 /usr/share/ppd/$driverPPD
			 
		fi
	else
		 sudo cp ./$driverPPD /usr/share/cups/model/ 
		 sudo chmod 0755 /usr/share/cups/model/$driverPPD
		 
	fi
else
	if [ -r /etc/debian_version ]
	then
		 sudo cp ./$driverPPD /usr/share/ppd/ 
		 sudo chmod 0755 /usr/share/ppd/$driverPPD
		
	else
		 sudo cp ./$driverPPD /usr/share/cups/model/ 
		 sudo chmod 0755 /usr/share/cups/model/$driverPPD
		
	fi
fi 
echo ""

echo "Restarting CUPS"
    if [ -x /etc/software/init.d/cups ]
    then
        sudo /etc/software/init.d/cups stop
        sudo /etc/software/init.d/cups start
    elif [ -x /etc/rc.d/init.d/cups ]
    then
        sudo /etc/rc.d/init.d/cups stop
        sudo /etc/rc.d/init.d/cups start
    elif [ -x /etc/rc.d/rc.cups ]
    then
        sudo /etc/rc.d/rc.cups stop
        sudo /etc/rc.d/rc.cups start        
    elif [ -x /etc/init.d/cups ]
    then
        sudo /etc/init.d/cups stop
        sudo /etc/init.d/cups start
    elif [ -x /sbin/init.d/cups ]
    then
        sudo /sbin/init.d/cups stop
        sudo /sbin/init.d/cups start
    elif [ -x /etc/software/init.d/cupsys ]
    then
        sudo /etc/software/init.d/cupsys stop
        sudo /etc/software/init.d/cupsys start
    elif [ -x /etc/rc.d/init.d/cupsys ]
    then
        sudo /etc/rc.d/init.d/cupsys stop
        sudo /etc/rc.d/init.d/cupsys start
    elif [ -x /etc/init.d/cupsys ]
    then
        sudo /etc/init.d/cupsys stop
        sudo /etc/init.d/cupsys start
    elif [ -x /sbin/init.d/cupsys ]
    then
        sudo /sbin/init.d/cupsys stop
        sudo /sbin/init.d/cupsys start
    else
        echo "Could not restart CUPS"
    fi
    echo ""

echo "Install Complete"
echo "Add printer queue using OS tool, http://localhost:631, or http://127.0.0.1:631"
echo ""

